#
# spec file for package libgpg-error (Version 1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libgpg-error
URL:            http://www.gnupg.org/
Version:        1.0
Release:        16.2
Summary:        Library That Defines Common Error Values for All GnuPG Components
License:        LGPL
Group:          Development/Libraries/C and C++
Autoreqprov:    on
Source:         %name-%version.tar.bz2
# rename package to "libgpg-error-nld" and set this to 1 for NLD
%define nld_build 0
Patch0:         %name-nld-build.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon, and possibly more in the future.



Authors:
--------
    Marcus Brinkmann <marcus@g10code.com>

%debug_package
%package devel
Summary:        Development package for libgpg-error
Group:          Development/Libraries/C and C++
%if %nld_build
Conflicts:      libgpg-error-devel
%else
Provides:       libgpg-error:/usr/include/gpg-error.h
%endif
Requires:       libgpg-error == %version

%description devel
Files needed for software development using libgpg-error.



Authors:
--------
    Marcus Brinkmann <marcus@g10code.com>

%prep
%setup -q -n libgpg-error-%version
%if %nld_build
%patch
%endif

%build
libtoolize --force
aclocal -I m4
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
		--prefix=%{_prefix} \
		--sysconfdir=%_sysconfdir \
		--libdir=%{_libdir} \
		--infodir=%{_infodir} 
make 

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc README NEWS ChangeLog COPYING.LIB COPYING AUTHORS ABOUT-NLS
%_datadir/locale/de/LC_MESSAGES/libgpg-error*.mo
%_datadir/locale/pl/LC_MESSAGES/libgpg-error*.mo
%_libdir/libgpg-error*.so.*

%files devel
%defattr(-,root,root)
%_datadir/aclocal/gpg-error.m4
%_includedir/*
%_bindir/*
%_libdir/libgpg-error*.a
%_libdir/libgpg-error*.la
%_libdir/libgpg-error*.so

%changelog -n libgpg-error
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jun 23 2005 - hvogel@suse.de
- require libgpg-error
- add %%clean section
* Thu Oct 14 2004 - hvogel@suse.de
- update to version 1.0
* Mon Sep 27 2004 - hvogel@suse.de
- fixed ac-quotation of gpg-error.m4
* Mon Jul 19 2004 - hvogel@suse.de
- correct nld_build if statement
* Wed Jul 14 2004 - adrian@suse.de
- create -devel subpackage
- prepare for NLD
* Mon May 24 2004 - ro@suse.de
- added return value to non-void function (main)
* Wed May 19 2004 - hvogel@suse.de
- update to version 0.7
* Tue Feb 17 2004 - hvogel@suse.de
- initial package, version 0.6
